Bug 737782 - WARNING: at net/wireless/mlme.c:307 __cfg80211_auth_remove+0x87/0x94 [cfg80211](): TAINTED ---------W
Summary: WARNING: at net/wireless/mlme.c:307 __cfg80211_auth_remove+0x87/0x94 [cfg8021...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5c51bad2bd43bd5ab5ca6f2282c...
: 770473 795071 810645 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 04:57 UTC by matanya
Modified: 2012-11-13 15:43 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-13 15:43:24 UTC


Attachments (Terms of Use)

Description matanya 2011-09-13 04:57:13 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=UUID=f508b2f1-a108-4d01-a092-74afb2a5f17a rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        I was disconnected from a wireless network, and during re-connect, I got this error.
component:      kernel
kernel:         2.6.40.4-5.2.fc15.x86_64
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         WARNING: at net/wireless/mlme.c:307 __cfg80211_auth_remove+0x87/0x94 [cfg80211]()
time:           Tue Sep 13 07:55:35 2011

backtrace:
:WARNING: at net/wireless/mlme.c:307 __cfg80211_auth_remove+0x87/0x94 [cfg80211]()
:Hardware name: K53E
:Modules linked in: fuse 8021q garp stp llc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack bnep bluetooth snd_hda_codec_hdmi snd_hda_codec_realtek iTCO_wdt snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd arc4 ath9k mac80211 uvcvideo videodev ath9k_common ath9k_hw ath soundcore asus_nb_wmi asus_wmi microcode media snd_page_alloc cfg80211 iTCO_vendor_support i2c_i801 v4l2_compat_ioctl32 atl1c sparse_keymap serio_raw rfkill ipv6 wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 55, comm: kworker/u:6 Not tainted 2.6.40.4-5.2.fc15.x86_64 #1
:Call Trace:
: [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
: [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
: [<ffffffffa0166348>] __cfg80211_auth_remove+0x87/0x94 [cfg80211]
: [<ffffffffa01663fa>] cfg80211_send_auth_timeout+0x8e/0xa5 [cfg80211]
: [<ffffffffa0206ed9>] ieee80211_probe_auth_done+0x2a/0x93 [mac80211]
: [<ffffffffa020a231>] ieee80211_work_work+0xf80/0xfc5 [mac80211]
: [<ffffffff8100804e>] ? load_TLS+0x10/0x14
: [<ffffffff810086fa>] ? __switch_to+0xc6/0x220
: [<ffffffffa02092b1>] ? free_work+0x19/0x19 [mac80211]
: [<ffffffff8106be6c>] process_one_work+0x176/0x2a9
: [<ffffffff8106ca05>] worker_thread+0xda/0x15d
: [<ffffffff8106c92b>] ? manage_workers+0x175/0x175
: [<ffffffff8106c92b>] ? manage_workers+0x175/0x175
: [<ffffffff8106fe77>] kthread+0x84/0x8c
: [<ffffffff8148f964>] kernel_thread_helper+0x4/0x10
: [<ffffffff8106fdf3>] ? kthread_worker_fn+0x148/0x148
: [<ffffffff8148f960>] ? gs_change+0x13/0x13

Comment 1 Alexey Larkov 2011-11-03 10:40:55 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Steps are unknown

Comment 2 Abdelmalek BENKOUIDER 2011-11-05 12:05:09 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't have any idea

Comment 3 Lars Schotte 2011-11-13 00:04:27 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
dont know any more

Comment 4 Lars Schotte 2011-11-13 00:05:50 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
i dont know

Comment 5 Michael S. 2012-02-15 08:43:57 UTC
I see this as well on a lenovo x201, running a RHEL kernel ( ( 2.6.32-220.4.1.el6.x86_64 ). 

And the wireless no longer work.

Switching the interface on and off made it work.

Comment 6 Stanislaw Gruszka 2012-02-15 08:57:52 UTC
If you are subscribing RHEL, you can contact official RH support. I think RHEL problem is different, and we have some pending patch for fixing that (bug 754356).

Comment 7 John W. Linville 2012-02-15 14:27:42 UTC
Michael, as Stanislaw suggested please seek support through the RHEL channels.

The other reports are a bit old.  Is anyone still seeing this on a recent Fedora kernel?

Comment 8 Josh Boyer 2012-02-19 16:31:19 UTC
*** Bug 795071 has been marked as a duplicate of this bug. ***

Comment 9 Josh Boyer 2012-02-19 16:32:41 UTC
*** Bug 770473 has been marked as a duplicate of this bug. ***

Comment 10 Alexey Larkov 2012-02-20 16:05:59 UTC
(In reply to comment #7)
> Michael, as Stanislaw suggested please seek support through the RHEL channels.
> 
> The other reports are a bit old.  Is anyone still seeing this on a recent
> Fedora kernel?

On 3.2.6-3.fc16.x86_64 I see this problem.

Comment 11 John W. Linville 2012-04-09 20:51:18 UTC
*** Bug 810645 has been marked as a duplicate of this bug. ***

Comment 12 kotofos 2012-04-12 10:56:29 UTC
wake up from suspend
all freeze on 60 seconds
abrt message


Package: kernel
OS Release: Fedora release 16 (Verne)

Comment 13 Josh Boyer 2012-06-06 19:28:06 UTC
People still seem to be hitting this and F15 is going EOL soon.  Moving to F16.

Comment 14 Josh Boyer 2012-09-04 13:48:33 UTC
Is this still being seen in 3.4 or 3.5?

Comment 15 kotofos 2012-09-15 19:49:20 UTC
3.5.3-1.fc17.i686.PAE fixed

Comment 16 Dan Mashal 2012-10-01 16:18:49 UTC
fwiw dont know if 3.5 fixed this but intel 6000 series doesn't work at all for me. i some how got cc'ed to this bug after an abrt which I assumed is fixed in 3.5.

Comment 17 Dave Jones 2012-10-23 15:29:29 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 18 Justin M. Forbes 2012-11-13 15:43:24 UTC
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.


Note You need to log in before you can comment on or make changes to this bug.